using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.IO.Ports;

namespace MultiparameterDecode
{
    public partial class Splashscreen : Form
    {
        private Form1 frm;
        public class TextEventArgs : EventArgs
        {
            public TextEventArgs(string text)
            {
                this.Text = text; // Eigenschaft setzen
            }

            public string Text;
             // Text als Eigenschaft definieren
        }
        
        public event EventHandler<TextEventArgs> UpdatePort;
        
        public Splashscreen(Form1 form, string [] list)
        {
            frm = form;
            InitializeComponent();
            string[] myList = list;
            

            comboBox1.Items.AddRange(myList);
            
        }

        

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();   
            
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            string port = comboBox1.SelectedItem.ToString();

            OnUpdatePort(new TextEventArgs(port));
        }

        protected virtual void OnUpdatePort(TextEventArgs e)
        {
            EventHandler<TextEventArgs> ev = UpdatePort;
            if (ev != null)
                ev(this, e); // abonnierte Ereignismethode(n) aufrufen
        }

        
       

        
    }
}